# asReadCRUDRepo

fun < K , V > ReadKeyValueRepo < K , V >. asReadCRUDRepo (): ReadCRUDFromKeyValueRepo < V , K >(source)

Wraps this ReadKeyValueRepo as a ReadCRUDFromKeyValueRepo, exposing CRUD read operations.

#### Return

ReadCRUDFromKeyValueRepo delegating to this repo

#### Type Parameters

K

The type of keys (used as IDs in the CRUD repo)

V

The type of values (used as objects in the CRUD repo)